org.apache.fop.fonts.truetype

## Enum OpenFont.PostScriptVersion

- java.lang.Object
- - java.lang.Enum<OpenFont.PostScriptVersion>
  - - org.apache.fop.fonts.truetype.OpenFont.PostScriptVersion

All Implemented Interfaces:
  Serializable, Comparable<OpenFont.PostScriptVersion>

Enclosing class:
  OpenFont

    public static enum OpenFont.PostScriptVersion
    extends Enum<OpenFont.PostScriptVersion>

Version of the PostScript table (post) contained in this font.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`UNKNOWN` Unknown version of the PostScript table.
`V1` PostScript table version 1.0.
`V2` PostScript table version 2.0.
`V3` PostScript table version 3.0.

### Method Summary

All Methods Static Methods Concrete Methods
`static OpenFont.PostScriptVersion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OpenFont.PostScriptVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### V1

    public static final OpenFont.PostScriptVersion V1

PostScript table version 1.0.

#### V2

    public static final OpenFont.PostScriptVersion V2

PostScript table version 2.0.

#### V3

    public static final OpenFont.PostScriptVersion V3

PostScript table version 3.0.

#### UNKNOWN

    public static final OpenFont.PostScriptVersion UNKNOWN

Unknown version of the PostScript table.

### Method Detail

#### values

    public static OpenFont.PostScriptVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OpenFont.PostScriptVersion c : OpenFont.PostScriptVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OpenFont.PostScriptVersion valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null